Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | List of all members
Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 > Class Template Reference
Utililty classes

Callback with 7 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inherits Tp::BaseCallback.

## Public Types
typedef R(* | FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)
typedef R | ResultType

## Public Member Functions
| Callback7 ()
template<class Functor >
| Callback7 (const Functor &functor)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6, Arg7 a7) const
Public Member Functions inherited from Tp::BaseCallback
| BaseCallback ()
| BaseCallback (AbstractFunctorCaller *caller)
| BaseCallback (const BaseCallback &other)
virtual | ~BaseCallback ()
bool | isValid () const
BaseCallback & | operator= (const BaseCallback &other)

## Additional Inherited Members
Protected Attributes inherited from Tp::BaseCallback
AbstractFunctorCaller * | caller

## Detailed Description

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
class Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >

Callback with 7 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

typedef R(* Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

typedef R Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::Callback7 | ( |  | ) |
| inline

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >
template<class Functor >

Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::Callback7 | ( | const Functor & | functor | ) |
| inline

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 , class Arg5 , class Arg6 , class Arg7 >

ResultType Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6,
|  | Arg7 | a7
| ) |  | const
| inline